**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/26.1/configuration-migration/deploy-package

# Deploy Package

<Endpoint path="/api/{version}/vobject/vault_package__v/{package_id}/actions/deploy" method="POST" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `package_id` | The `id` field value of the `vault_package__v` object record used for deployment. See [Import Package](/safety/vault-api/api-reference/26.1/configuration-migration/import-package). |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
https://myvault.veevavault.com/api/v16.0/vobject/vault_package__v/0PI000000000101/actions/deploy
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
  "responseStatus": "SUCCESS",
  "url": "/api/v16.0/services/jobs/23301",
  "job_id": 23301
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response includes the following information:

*   `url` - The URL to retrieve the current status of the export job.
*   `job_id` - The Job ID value is used to retrieve the [status](/safety/vault-api/api-reference/26.1/jobs/retrieve-job-status) and results of the request.

---

**Previous:** [Import Package](/safety/vault-api/api-reference/26.1/configuration-migration/import-package)  
**Next:** [Retrieve Package Deploy Results](/safety/vault-api/api-reference/26.1/configuration-migration/retrieve-package-deploy-results)